Uploaded image for project: 'C# Driver'
  1. C# Driver
  2. CSHARP-851

Stop Authenticating Against Arbiters

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: 1.8
    • Fix Version/s: 1.9
    • Component/s: None
    • Labels:
      None
    • # Replies:
      4
    • Last comment by Customer:
      true

      Description

      Arbiters don't contain any authentication information. As such, because of how the driver does authentication on connections, the credentials for an arbiter are always rejected. This doesn't prevent the driver from working correctly, but it is a nuisance because it floods the arbiter logs with a lot of authentication failure messages.

        Issue Links

          Activity

          Hide
          xgen-internal-githook Githook User added a comment -

          Author:

          {u'username': u'rstam', u'name': u'rstam', u'email': u'robert@10gen.com'}

          Message: CSHARP-851: Check whether a server is an arbiter before trying to authenticate because arbiters don't support authentication (yet).
          Branch: master
          https://github.com/mongodb/mongo-csharp-driver/commit/0426caa53087e586944b43fa5a28d5928effcd59

          Show
          xgen-internal-githook Githook User added a comment - Author: {u'username': u'rstam', u'name': u'rstam', u'email': u'robert@10gen.com'} Message: CSHARP-851 : Check whether a server is an arbiter before trying to authenticate because arbiters don't support authentication (yet). Branch: master https://github.com/mongodb/mongo-csharp-driver/commit/0426caa53087e586944b43fa5a28d5928effcd59
          Hide
          karen.lemond@dillards.com Karen Lemond added a comment -

          Is there a new version of the 1.8.3 driver that includes this fix or was it made to the existing 1.8.3 version of the driver? Thanks, Karen.

          Show
          karen.lemond@dillards.com Karen Lemond added a comment - Is there a new version of the 1.8.3 driver that includes this fix or was it made to the existing 1.8.3 version of the driver? Thanks, Karen.
          Hide
          craiggwilson Craig Wilson added a comment -

          Hi Karen,
          This fix applies to the 1.9 release. It will be backwards compatible with the 2.2 and 2.4 servers, but will be released in conjunction with the 2.6 server release. There will be an announcement both about the server release as well as the driver releases.

          Craig

          Show
          craiggwilson Craig Wilson added a comment - Hi Karen, This fix applies to the 1.9 release. It will be backwards compatible with the 2.2 and 2.4 servers, but will be released in conjunction with the 2.6 server release. There will be an announcement both about the server release as well as the driver releases. Craig
          Hide
          karen.lemond@dillards.com Karen Lemond added a comment -

          Thanks Craig!

          Show
          karen.lemond@dillards.com Karen Lemond added a comment - Thanks Craig!

            People

            • Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Days since reply:
                3 years, 29 weeks ago
                Date of 1st Reply: